/*
 *  util.c
 *
 *  Some utility functions.
 *
 *  Copyright (C) 2008  Huang Guan
 *
 *  2008-02-12 Created.
 *
 *  Description: This file mainly includes the functions about 
 *               util_escape()
 *
 */

#include <ctype.h>
#include "util.h"


//Note: this function change the source string directly.
char* util_escape( char* str )
{
	unsigned char* ch;
	ch = (unsigned char*)str;
	while( *ch )
	{
		if( *ch < 0x80 ) //ASCII??
		{
			if( !isprint(*ch) ) //if not printable??
				*ch = ' ';	//use space instead..
			ch ++;	//skip one
		}else{
			ch +=2; //skip two
		}
	}
	return str;
}

