
//rlist_t

#ifndef _RLIST_H
#define _RLIST_H

//Round List
typedef struct myqq_rlist_s{
	int		head;
	int		tail;
	int		size;		//size*4 = buffer size
	int*		list;
}myqq_rlist_t;

int rlist_init( myqq_rlist_t* l, int size );
int rlist_find( myqq_rlist_t * l, int v );
int rlist_append( myqq_rlist_t* l, int v );
void rlist_cleanup( myqq_rlist_t* l );

#endif //_RLIST_H
